#!/bin/sh

./gen_tone.pl -m dot     -d  64 -w 0.4 > tone_dot_064_04.svg
./gen_tone.pl -m dot     -d  64 -w 0.5 > tone_dot_064_05.svg
./gen_tone.pl -m dot     -d  64 -w 0.6 > tone_dot_064_06.svg
./gen_tone.pl -m dot     -d  64 -w 0.7 > tone_dot_064_07.svg
./gen_tone.pl -m dot     -d  64 -w 0.8 > tone_dot_064_08.svg
./gen_tone.pl -m dot     -d  64 -w 0.9 > tone_dot_064_09.svg
./gen_tone.pl -m dot     -d  64 -w 1.0 > tone_dot_064_10.svg
./gen_tone.pl -m dot     -d  64 -w 1.1 > tone_dot_064_11.svg
./gen_tone.pl -m dot     -d  64 -w 1.2 > tone_dot_064_12.svg
./gen_tone.pl -m dot     -d  64 -w 1.3 > tone_dot_064_13.svg
./gen_tone.pl -m dot     -d  64 -w 1.4 > tone_dot_064_14.svg
./gen_tone.pl -m dot     -d  64 -w 1.6 > tone_dot_064_16.svg
./gen_tone.pl -m dot     -d  64 -w 1.8 > tone_dot_064_18.svg

./gen_tone.pl -m sqr     -d  64 -w 0.4 > tone_sqr_064_04.svg
./gen_tone.pl -m sqr     -d  64 -w 0.6 > tone_sqr_064_06.svg
./gen_tone.pl -m sqr     -d  64 -w 0.8 > tone_sqr_064_08.svg
./gen_tone.pl -m sqr     -d  64 -w 1.0 > tone_sqr_064_10.svg
./gen_tone.pl -m sqr     -d  64 -w 1.2 > tone_sqr_064_12.svg
./gen_tone.pl -m sqr     -d  64 -w 1.4 > tone_sqr_064_14.svg
./gen_tone.pl -m sqr     -d  64 -w 1.6 > tone_sqr_064_16.svg
./gen_tone.pl -m sqr     -d  64 -w 1.8 > tone_sqr_064_18.svg

./gen_tone.pl -m rhombus -d  64 -w 0.4 > tone_rhm_064_04.svg
./gen_tone.pl -m rhombus -d  64 -w 0.6 > tone_rhm_064_06.svg
./gen_tone.pl -m rhombus -d  64 -w 0.8 > tone_rhm_064_08.svg
./gen_tone.pl -m rhombus -d  64 -w 1.0 > tone_rhm_064_10.svg
./gen_tone.pl -m rhombus -d  64 -w 1.2 > tone_rhm_064_12.svg
./gen_tone.pl -m rhombus -d  64 -w 1.4 > tone_rhm_064_14.svg

./gen_tone.pl -m linerr  -d  64 -w 0.2 > tone_lrr_064_02.svg
./gen_tone.pl -m linerr  -d  64 -w 0.4 > tone_lrr_064_04.svg
./gen_tone.pl -m linerr  -d  64 -w 0.6 > tone_lrr_064_06.svg
./gen_tone.pl -m linerr  -d  64 -w 0.8 > tone_lrr_064_08.svg
./gen_tone.pl -m linerr  -d  64 -w 1.0 > tone_lrr_064_10.svg
./gen_tone.pl -m linerr  -d  64 -w 1.2 > tone_lrr_064_12.svg

./gen_tone.pl -m linedr  -d  64 -w 0.2 > tone_ldr_064_02.svg
./gen_tone.pl -m linedr  -d  64 -w 0.4 > tone_ldr_064_04.svg
./gen_tone.pl -m linedr  -d  64 -w 0.6 > tone_ldr_064_06.svg
./gen_tone.pl -m linedr  -d  64 -w 0.8 > tone_ldr_064_08.svg
./gen_tone.pl -m linedr  -d  64 -w 1.0 > tone_ldr_064_10.svg
./gen_tone.pl -m linedr  -d  64 -w 1.2 > tone_ldr_064_12.svg

./gen_tone.pl -m lineh   -d  64 -w 0.2 > tone_lnh_064_02.svg
./gen_tone.pl -m lineh   -d  64 -w 0.4 > tone_lnh_064_04.svg
./gen_tone.pl -m lineh   -d  64 -w 0.6 > tone_lnh_064_06.svg
./gen_tone.pl -m lineh   -d  64 -w 0.8 > tone_lnh_064_08.svg
./gen_tone.pl -m lineh   -d  64 -w 1.0 > tone_lnh_064_10.svg
./gen_tone.pl -m lineh   -d  64 -w 1.2 > tone_lnh_064_12.svg
./gen_tone.pl -m lineh   -d  64 -w 1.4 > tone_lnh_064_14.svg

./gen_tone.pl -m linev   -d  64 -w 0.2 > tone_lnv_064_02.svg
./gen_tone.pl -m linev   -d  64 -w 0.4 > tone_lnv_064_04.svg
./gen_tone.pl -m linev   -d  64 -w 0.6 > tone_lnv_064_06.svg
./gen_tone.pl -m linev   -d  64 -w 0.8 > tone_lnv_064_08.svg
./gen_tone.pl -m linev   -d  64 -w 1.0 > tone_lnv_064_10.svg
./gen_tone.pl -m linev   -d  64 -w 1.2 > tone_lnv_064_12.svg
./gen_tone.pl -m linev   -d  64 -w 1.4 > tone_lnv_064_14.svg

# *.svg to *.png
for svg_name in *.svg ; do
    convert ${svg_name}  -colorspace Gray -type Grayscale -depth 8 "`basename ${svg_name} .svg`.png"
done

# *.png to *.bmp
for png_name in *.png ; do
    convert ${png_name}  -define bmp:format=bmp3 -compress None "`basename ${png_name} .png`.bmp"
done
